Bug 76923 - configurator doesnt accept set-resolution option
configurator doesnt accept set-resolution option
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-29 10:39 EST by Gopi
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-29 10:39:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gopi 2002-10-29 10:39:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
redhat-config-xfree86 configurator doesn't accept the set-resolution option
parameter and says invalid option set-resolution.
it doesnt accept set-card either

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.redhat-config-xfree86 --set-resolution="1024x768"
2.
3.
	

Actual Results:  option --set-resolution not recognized

Usage: redhat-config-xfree86 [OPTIONS]
Options:
  -h, --help        display this help and exit
  -v, --verbose     display what the program is doing more verbosely
  -o, --output=     the filename of the config file to be output
      --reconfig    don't base configuration on existing config files
      --noui        don't show the gui, implicit when using --set options
      --forceui     force the ui to be shown, needed when using --set options
                    to change some setting, but you still want to show the ui
      --set-<key>=  change the value of a specific configuration key.

        currently supported keys are:

        resolution  the screen resolution used
        depth       the color depth in bits
                    most drivers support 8, 15, 16 and 24
        driver      the graphics card driver to use
        card        the graphics card description to use
                    e.g. 'ATI Radeon (generic)'
        vsync       monitor vertical sync rates allowed (in Hz)
        hsync       monitor horizontal sync rates allowed (in kHz)
        videoram    the amount of videoram in kilobytes, 0 means probe




Expected Results:  it should start proceeding to configuration and set my
resolution correctly

Additional info:


after some quick analysation on the python code of xconf.py
located at /usr/share/redhat-config-xfree86
in line 1538: where the getopt arguments are declared there is a comma
missing after set-card= and set-resolution :) which makes both of these
options not working

simple typo error.
may be the program is not tested fully enough!?
Comment 1 Alexander Larsson 2002-11-05 05:58:26 EST
It was a silly bug introduced in the last second. It's been fixed in cvs, and
the next release 0.6.8 will have the fix when it reaches rawhide (soon).

Note You need to log in before you can comment on or make changes to this bug.